%global npmname abbrev
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: Like ruby's abbrev module, but in js 
Name: nodejs-%{npmname}
Version: 1.0.3
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/isaacs/abbrev-js
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
Like ruby's abbrev module, but in js

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr lib package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Setup Binaries

%files
%doc README.md
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 1.0.3-1
- Initial build using nodejs spec template

